#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-Do2ni8Wqj99F8A8sHmWGAh
key:                  foldl-1.4.12-Do2ni8Wqj99F8A8sHmWGAh
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  19e6f727ffb2e924aa7213aea87c1742
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.12-Do2ni8Wqj99F8A8sHmWGAh
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-DwnqRWYVGet3p3CZfmznED containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX
    primitive-0.7.4.0-sdseTeqQWp1PN9gttBZ8O
    profunctors-5.6.2-L3dueFzOmxp3FTRukUBnF8
    random-1.2.1.1-C8aN1mO2C5BFfFmB9GY7Ok
    semigroupoids-5.3.7-72XKvzBbOSTBsysuZk4IjF text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

